%define modname newt
%define dirname %{modname}
%define soname %{modname}.so
%define inifile A30_%{modname}.ini

Summary:	Newt provides window library functions for PHP
Name:		php-%{modname}
Version:	1.2.9
Release:	%mkrel 1
Group:		Development/PHP
License:	PHP License
URL:		http://php-newt.sourceforge.net/
Source0:	http://pecl.php.net/get/newt-%{version}.tgz
BuildRequires:	newt-devel
BuildRequires:	php-devel >= 3:5.2.0
Epoch:		1

%description
PHP-NEWT - PHP language extension for RedHat Newt library, a terminal-based
window and widget library for writing applications with user friendly
interface. Once this extension is enabled in PHP it will provide the use of
Newt widgets, such as windows, buttons, checkboxes, radiobuttons, labels,
editboxes, scrolls, textareas, scales, etc. Use of this extension if very
similar to the original Newt API of C programming language.

%prep

%setup -q -n newt-%{version}

%build
%serverbuild

phpize
%configure2_5x --with-libdir=%{_lib} \
    --with-%{modname}=shared,%{_prefix}

%make
mv modules/*.so .

%install
install -d %{buildroot}%{_libdir}/php/extensions
install -d %{buildroot}%{_sysconfdir}/php.d

install -m755 %{soname} %{buildroot}%{_libdir}/php/extensions/

cat > %{buildroot}%{_sysconfdir}/php.d/%{inifile} << EOF
extension = %{soname}
EOF

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
[ "../package.xml" != "/" ] && rm -f ../package.xml

%files 
%doc examples CREDITS TODO
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/php.d/%{inifile}
%attr(0755,root,root) %{_libdir}/php/extensions/%{soname}




%changelog
* Thu Feb 25 2016 oden <oden> 1:1.2.9-1.mga6
+ Revision: 979031
- 1.2.9

* Fri Feb 12 2016 umeabot <umeabot> 1:1.2.8-7.mga6
+ Revision: 958434
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1:1.2.8-6.mga5
+ Revision: 740595
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1:1.2.8-5.mga5
+ Revision: 687164
- Mageia 5 Mass Rebuild

* Fri Apr 18 2014 oden <oden> 1:1.2.8-4.mga5
+ Revision: 616575
- rebuilt for php-5.6.0beta1

* Fri Jan 24 2014 pterjan <pterjan> 1:1.2.8-3.mga4
+ Revision: 567616
- Rebuild for new PHP

* Tue Oct 22 2013 umeabot <umeabot> 1:1.2.8-2.mga4
+ Revision: 544930
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 oden <oden> 1:1.2.8-1.mga4
+ Revision: 500485
- duh...
- drop the lib64 patch
- 1.2.8

* Thu Jun 13 2013 oden <oden> 1:1.2.6-4.mga4
+ Revision: 442688
- rebuilt for php-5.5.0RC3

* Wed Jan 30 2013 oden <oden> 1:1.2.6-3.mga3
+ Revision: 393311
- rebuilt for php-5.4.11

* Sun Jan 13 2013 umeabot <umeabot> 1:1.2.6-2.mga3
+ Revision: 375873
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jul 29 2012 spuhler <spuhler> 1:1.2.6-1.mga3
+ Revision: 275560
- upgrade to 1.2.6

* Mon Mar 19 2012 luigiwalser <luigiwalser> 1:1.2.5-2.mga2
+ Revision: 223921
- httpd restart is handled by filetriggers now

* Thu Dec 22 2011 spuhler <spuhler> 1:1.2.5-1.mga2
+ Revision: 185688
- upgrade to 1.2.5

* Mon Feb 07 2011 spuhler <spuhler> 1:1.2.4-8.mga1
+ Revision: 48163
- removed buildroot definition from .spec
- imported package php-newt

